# HOBBITD_SAMPLE

Section: Maintenance Commands (8)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbitd_sample - example of a hobbitd worker module

## SYNOPSIS

hobbitd_channel --channel=status hobbitd_sample [options]

## DESCRIPTION

hobbitd_sample is a worker module for hobbitd, and as such it is normally run via the hobbitd_channel(8) program. It receives messages from hobbitd via stdin, and simply displays these on stdout. It can be used with all types of hobbitd channels.

hobbitd_sample is not designed to actually run, except as a demonstration. The purpose of this tool is to show how hobbitd worker modules can be implemented to handle different tasks that need to hook into the hobbitd processing.

## OPTIONS

--timeout=N
  Read messages with a timeout of N seconds.

--debug
  Enable debugging output.

## SEE ALSO

hobbitd_channel(8), hobbitd(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008